<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/

interface AuthInterface
{
	public function autologin();
	public function isLoginExists($login);
	public function saveLastRequests($maxlifetime);
	public function logout();
	public function setUserData();
	public function setGuest();
	public function getCurrent();
}